Subject: [bess] [BESS] Discussions on modulus-based DF Alg with AC-DF=1

From: <[email-masked]>
Date: Fri, 12 Apr 2019 14:33:05 +0800 (CST)

Hi Jorge,

I am not sure about my understanding about modulus-based DF Alg with AC-DF=1.

I think the modulus is per VLAN basis in the usecase, which means that each VLAN has an independent modulus and an independent candidate list.

Is that right?

It is described in draft-ietf-bess-evpn-df-election-framework-08 section 5 as follows:

   o The candidate list is pruned based upon non-receipt of Ethernet A-D    

     routes: a PE's IP address MUST be removed from the ES candidate

     list if its Ethernet A-D per ES route is withdrawn. A PE's IP

     address MUST NOT be considered as candidate DF for a <ES, Ethernet     

     Tag>, if its Ethernet A-D per EVI route for the <ES, Ethernet Tag>          

     is withdrawn.

I think the phrase "MUST NOT be considered as candidate DF" means that each VLAN has an independent candidate list.

And each PE is given independent ordinal for each VLAN's candidate list.

for example,

An ESI is adjacent to PE1, PE2, PE3, and PE1 has the lowest ORIP, PE3 has the highest ORIP.

The PE3 may be given the ordinal 1 for VLAN 5 , and 2 for VLAN 7,

because the VLAN 5 on PE2 is not UP, but the VLAN 7 on every PE is UP.

So the candidate list for VLAN 5 is {PE1, PE3}, and for VLAN 7 is {PE1, PE2, PE3}.

The DF for VLAN 5 is 5%2(=1=PE3), and for VLAN 7 is 7%3(=1=PE2).

is that true?

If it's true, then why we don't use only EAD-EVI route to form the candidate list in this usecase?

Because I think if the EAD-EVI route from PEx exists, typically we can assume that the EAD-ES route and ES route also exists.

I think we can use OPE TLV in the EAD-EVI route to order that candidate list. 

It seemed simpler than current method.